Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QDomNode.EncodingPolicy

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.xml.QDomNode.EncodingPolicy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDomNode

    public static final class QDomNode.EncodingPolicy

extends java.lang.Enum
implements QtEnumerator

This enum specifies how `QDomNode::save()` determines what encoding to use when serializing. See also the overload of the `save()` function that takes an `EncodingPolicy` .

See Also:
  Serialized Form

Field Summary
`static QDomNode.EncodingPolicy` | `EncodingFromDocument` The encoding is fetched from the document.
`static QDomNode.EncodingPolicy` | `EncodingFromTextStream` The encoding is fetched from the `QTextStream`.

Method Summary
`static QDomNode.EncodingPolicy` | `resolve(int value)` Returns the EncodingPolicy constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDomNode.EncodingPolicy` | `valueOf(java.lang.String name)`
`static QDomNode.EncodingPolicy[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### EncodingFromDocument

    public static final QDomNode.EncodingPolicy EncodingFromDocument

  The encoding is fetched from the document.

### EncodingFromTextStream

    public static final QDomNode.EncodingPolicy EncodingFromTextStream

  The encoding is fetched from the `QTextStream`.

Method Detail

### values

    public static QDomNode.EncodingPolicy[] values()

### valueOf

    public static QDomNode.EncodingPolicy valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDomNode.EncodingPolicy resolve(int value)

  Returns the EncodingPolicy constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD